<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:tns="http://xvergabe.org/interface/wsdl/4" xmlns:xvergabe-cl="http://xvergabe.org/codelists/xsd/4" xmlns:xvergabe-if="http://xvergabe.org/interface/xsd/4" xmlns:xvergabe-if-svc="http://xvergabe.org/xsd/client-interface/service/4" xmlns:xvergabe-if-wsdl="http://xvergabe.org/interface/wsdl/4" xmlns:xvergabe-if-wsdl-types="http://xvergabe.org/interface/wsdl/types/4" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:sp="http://docs.oasis-open.org/ws-sx/ws-securitypolicy/200702" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" name="XVergabe" targetNamespace="http://xvergabe.org/interface/wsdl/4">
	<wsdl:import namespace="http://xvergabe.org/interface/wsdl/4" location="service_policy.wsdl"/>
	<wsdl:types>
		<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
			<xs:import namespace="http://xvergabe.org/xsd/client-interface/service/4" schemaLocation="../xsd/xvergabe-service.xsd"/>
		</xs:schema>
	</wsdl:types>
	<wsdl:message name="sendMessageRequest">
		<wsdl:part name="sendMessageRequest" element="xvergabe-if-svc:msgSendMessageRequest"/>
	</wsdl:message>
	<wsdl:message name="sendMessageResponse">
		<wsdl:part name="sendMessageResponse" element="xvergabe-if-svc:msgSendMessageResponse"/>
	</wsdl:message>
	<wsdl:message name="sendSynchronousMessageRequest">
		<wsdl:part name="sendSynchronousMessageRequest" element="xvergabe-if-svc:msgSendSynchronousMessageRequest"/>
	</wsdl:message>
	<wsdl:message name="sendSynchronousMessageResponse">
		<wsdl:part name="sendSynchronousMessageResponse" element="xvergabe-if-svc:msgSendSynchronousMessageResponse"/>
	</wsdl:message>
	<wsdl:message name="getMessagesRequest">
		<wsdl:part name="getMessagesRequest" element="xvergabe-if-svc:msgGetMessagesRequest"/>
	</wsdl:message>
	<wsdl:message name="getMessagesResponse">
		<wsdl:part name="getMessagesResponse" element="xvergabe-if-svc:msgGetMessagesResponse"/>
	</wsdl:message>
	<wsdl:message name="getDocumentRequest">
		<wsdl:part name="getDocumentRequest" element="xvergabe-if-svc:msgGetDocumentRequest"/>
	</wsdl:message>
	<wsdl:message name="getDocumentResponse">
		<wsdl:part name="getDocumentResponse" element="xvergabe-if-svc:msgGetDocumentResponse"/>
	</wsdl:message>
	<wsdl:message name="getTenderIDsRequest">
		<wsdl:part name="getTenderIDsRequest" element="xvergabe-if-svc:msgGetTenderIDsRequest"/>
	</wsdl:message>
	<wsdl:message name="getTenderIDsResponse">
		<wsdl:part name="getTenderIDsResponse" element="xvergabe-if-svc:msgGetTenderIDsResponse"/>
	</wsdl:message>
	<wsdl:message name="subscriptionRequest">
		<wsdl:part name="subscriptionRequest" element="xvergabe-if-svc:msgSubscriptionRequest"/>
	</wsdl:message>
	<wsdl:message name="subscriptionResponse">
		<wsdl:part name="subscriptionResponse" element="xvergabe-if-svc:msgSubscriptionResponse"/>
	</wsdl:message>
	<wsdl:message name="getOSCITransferIDRequest">
		<wsdl:part name="getOSCITransferIDRequest" element="xvergabe-if-svc:msgGetOSCITransferIDRequest"/>
	</wsdl:message>
	<wsdl:message name="getOSCITransferIDResponse">
		<wsdl:part name="getOSCITransferIDResponse" element="xvergabe-if-svc:msgGetOSCITransferIDResponse"/>
	</wsdl:message>
	<wsdl:portType name="XVergabePort">
		<wsdl:operation name="sendMessage">
			<wsdl:input name="sendMessageRequest" message="tns:sendMessageRequest"/>
			<wsdl:output name="sendMessageResponse" message="tns:sendMessageResponse"/>
		</wsdl:operation>
		<wsdl:operation name="sendSynchronousMessage">
			<wsdl:input name="sendSynchronousMessageRequest" message="tns:sendSynchronousMessageRequest"/>
			<wsdl:output name="sendSynchronousMessageResponse" message="tns:sendSynchronousMessageResponse"/>
		</wsdl:operation>
		<wsdl:operation name="getMessages">
			<wsdl:input name="getMessagesRequest" message="tns:getMessagesRequest"/>
			<wsdl:output name="getMessagesResponse" message="tns:getMessagesResponse"/>
		</wsdl:operation>
		<wsdl:operation name="getDocument">
			<wsdl:input name="getDocumentRequest" message="tns:getDocumentRequest"/>
			<wsdl:output name="getDocumentResponse" message="tns:getDocumentResponse"/>
		</wsdl:operation>
		<wsdl:operation name="getTenderIDs">
			<wsdl:input name="getTenderIDsRequest" message="tns:getTenderIDsRequest"/>
			<wsdl:output name="getTenderIDsResponse" message="tns:getTenderIDsResponse"/>
		</wsdl:operation>
		<wsdl:operation name="subscribe">
			<wsdl:input name="subscriptionRequest" message="tns:subscriptionRequest"/>
			<wsdl:output name="subscriptionResponse" message="tns:subscriptionResponse"/>
		</wsdl:operation>
		<wsdl:operation name="getOSCITransferID">
			<wsdl:input name="getOSCITransferIDRequest" message="tns:getOSCITransferIDRequest"/>
			<wsdl:output name="getOSCITransferIDResponse" message="tns:getOSCITransferIDResponse"/>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="XVergabeSOAPBinding" type="xvergabe-if-wsdl:XVergabePort">
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
		<wsp:PolicyReference URI="HTTPS_policy"/>
		<wsp:PolicyReference URI="authentication_optional_policy"/>
		<wsdl:operation name="sendMessage">
			<soap:operation soapAction="/sendMessage" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="sendSynchronousMessage">
			<soap:operation soapAction="/sendSynchronousMessage" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getMessages">
			<soap:operation soapAction="/getMessages" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getDocument">
			<soap:operation soapAction="/getDocument" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getTenderIDs">
			<soap:operation soapAction="/getTenderIDs" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="subscribe">
			<soap:operation soapAction="/subscribe" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getOSCITransferID">
			<soap:operation soapAction="/getOSCITransferID" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:service name="XVergabeService">
		<wsdl:documentation>The XVergabe Service wraps up all the operations a plattform supplies. ALL operations MUST be supported by the plattform. The Servicedefinitation may only be customized regarding the location URL of the Service.</wsdl:documentation>
		<wsdl:port name="XVergabePort" binding="xvergabe-if-wsdl:XVergabeSOAPBinding">
			<soap:address/>
		</wsdl:port>
	</wsdl:service>
</wsdl:definitions>
